### Enumeration

# Qmi WdsPacketStatisticsMaskFlag

since: 1.6

#### Declaration

    flags Qmi.WdsPacketStatisticsMaskFlag

#### Description [src]

Mask to use when requesting packet statistics.

Available since: 1.6

#### Members

`QMI_WDS_PACKET_STATISTICS_MASK_FLAG_TX_PACKETS_OK`

  Request count of correctly sent packets.

  - Value: `1`
  - Available since: 1.6
`QMI_WDS_PACKET_STATISTICS_MASK_FLAG_RX_PACKETS_OK`

  Request count of correctly received packets.

  - Value: `2`
  - Available since: 1.6
`QMI_WDS_PACKET_STATISTICS_MASK_FLAG_TX_PACKETS_ERROR`

  Request count of sent packets with error.

  - Value: `4`
  - Available since: 1.6
`QMI_WDS_PACKET_STATISTICS_MASK_FLAG_RX_PACKETS_ERROR`

  Request count of received packets with error.

  - Value: `8`
  - Available since: 1.6
`QMI_WDS_PACKET_STATISTICS_MASK_FLAG_TX_OVERFLOWS`

  Request count of transmitter overflows.

  - Value: `16`
  - Available since: 1.6
`QMI_WDS_PACKET_STATISTICS_MASK_FLAG_RX_OVERFLOWS`

  Request count of receiver overflows.

  - Value: `32`
  - Available since: 1.6
`QMI_WDS_PACKET_STATISTICS_MASK_FLAG_TX_BYTES_OK`

  Request count of correctly sent bytes.

  - Value: `64`
  - Available since: 1.6
`QMI_WDS_PACKET_STATISTICS_MASK_FLAG_RX_BYTES_OK`

  Request count of correctly received bytes.

  - Value: `128`
  - Available since: 1.6
`QMI_WDS_PACKET_STATISTICS_MASK_FLAG_TX_PACKETS_DROPPED`

  Request count of dropped packets in transmission.

  - Value: `256`
  - Available since: 1.6
`QMI_WDS_PACKET_STATISTICS_MASK_FLAG_RX_PACKETS_DROPPED`

  Request count of dropped packets in reception.

  - Value: `512`
  - Available since: 1.6

#### Type functions

###### qmi_wds_packet_statistics_mask_flag_build_string_from_mask

Builds a string containing a comma-separated list of nicknames for each `QmiWdsPacketStatisticsMaskFlag` in `mask`.

since: 1.6